/* 
    Table of content
    1. GRAVITY FORMS
*/

/* 1. GRAVITY FORMS */
/* Grid */
.gform_wrapper .gform_fields {
    grid-column-gap: 3rem !important;
    grid-row-gap: 1rem !important;
}

/* Label */
.gform_wrapper .gfield_label {
    margin-bottom: .3rem !important;
    font-size: 1.6rem !important;
    font-weight: 500 !important;
    line-height: 1.3 !important;  
    color: var(--color-darkgrey) !important;
}

/* Description */
.gform_wrapper .gfield_description {
    font-size: 1.6rem !important;
    line-height: 1.5 !important;
    color: var(--color-darkgrey) !important;
}

/* Required */
.gform_wrapper .gfield_required {
    display: none !important;
}

/* Input */
.gform_wrapper .gfield:not(.gfield--type-fileupload) input,
.gform_wrapper .gfield textarea {
    padding: .75rem 1.5rem !important;
    border: .1rem solid var(--color-lightgrey) !important;
    background-color: var(--color-lightgrey) !important;
    font-family: "Poppins", system-ui !important;
    font-size: 1.6rem !important;
    font-weight: 400 !important;
    line-height: 1.8 !important;
    color: var(--color-darkgrey) !important;
}

.gform_wrapper .ginput_container_textarea {
    display: flex;
}

.gform_wrapper .gfield:not(.gfield--type-fileupload) input:focus,
.gform_wrapper .gfield textarea:focus {
    border-color: var(--color-yellow) !important;
}

.gform_wrapper ::placeholder,
.gform_wrapper ::-webkit-input-placeholder,
.gform_wrapper input[placeholder] {
    color: var(--color-darkgrey) !important;
    opacity: 1 !important;
}

/* Consent */
.gform_wrapper .gfield--type-consent {
    width: calc( 100% - 4rem );
}

.gform_wrapper .gfield--type-consent [type="checkbox"]:not(:checked), 
.gform_wrapper .gfield--type-consent [type="checkbox"]:checked {
    position: absolute;
    width: 0 !important;
    height: 0;
    opacity: 0;
    cursor: pointer;
}

.gform_wrapper .gfield--type-consent [type="checkbox"]:not(:checked) + label, 
.gform_wrapper .gfield--type-consent [type="checkbox"]:checked + label {
    position: relative;
    left: 4rem;
    font-size: 1.5rem !important;
    line-height: 1.5 !important;
    color: var(--color-darkgrey) !important;
    cursor: pointer;
}

.hero-form .gform_wrapper .gfield--type-consent [type="checkbox"]:not(:checked) + label, 
.hero-form .gform_wrapper .gfield--type-consent [type="checkbox"]:checked + label {
    color: white !important;
}
  
.gform_wrapper .gfield--type-consent [type="checkbox"]:not(:checked) + label:before, 
.gform_wrapper .gfield--type-consent [type="checkbox"]:checked + label:before {
    content: "";
    position: absolute;
    top: -.2rem;
    left: -4rem;    
    width: 2.2rem;
    height: 2.2rem;
    border: .1rem solid var(--color-lightgrey);
    border-radius: .4rem;
    background-color: var(--color-lightgrey);
    box-shadow: 0;  
}
  
.gform_wrapper .gfield--type-consent [type="checkbox"]:not(:checked) + label:after, 
.gform_wrapper .gfield--type-consent [type="checkbox"]:checked + label:after {
    content: "";
    position: absolute;
    top: .2rem;
    left: -3.6rem; 
    width: 1.6rem;
    height: 1.6rem;
    background-color: var(--color-yellow);
    transition: .2s;
}
  
.gform_wrapper .gfield--type-consent [type="checkbox"]:not(:checked) + label:after {
    opacity: 0;
}
  
.gform_wrapper .gfield--type-consent [type="checkbox"]:checked + label:after {
    opacity: 1;
}

/* Footer */
.gform_wrapper .gform_footer {
    margin: 0 !important;
    padding: 0 !important;
}

.gform_wrapper .gform_footer input {
    margin: 2rem 0 0 !important;
    padding: 1.5rem 3rem !important;
    border: .1rem solid var(--color-darkgrey) !important;
    border-radius: 5rem !important;
    background-color: transparent !important;
    font-family: "Poppins", system-ui !important;
    font-optical-sizing: auto;
    font-size: 1.4rem !important;
    font-weight: 500 !important;
    line-height: 1.3 !important;
    color: var(--color-darkgrey) !important;
    text-decoration: none !important;
    text-align: center !important;
	transition: .3s;
    cursor: pointer;
    appearance: none !important;
}

.gform_wrapper .gform_footer input:hover {
    border-color: var(--color-yellow) !important;
    background-color: var(--color-yellow) !important;
    color: var(--color-darkgrey);
}

/* Errors */
.gform_validation_errors,
.gfield_validation_message {
    display: none !important;
}

.gform_wrapper .gfield:not(.gfield--type-consent).gfield_error label {
    color: inherit !important;
}

.gform_wrapper.gravity-theme .gfield_error [aria-invalid=true],
.gform_wrapper .gfield_error textarea {
    border-color: red !important;
}

/* Confirmation */
.gform_confirmation_message {
    font-family: "Poppins", system-ui;
    font-size: 1.6rem !important;
    line-height: 1.8 !important;   
}

/* reCaptcha */
.grecaptcha-badge {
    visibility: hidden;
    opacity: 0;
}

/* RESIZE */
@media (max-width: 899px) {
    /* 1. GRAVITY FORMS */
    /* Grid */
    .gform_wrapper .gfield--width-half {
        grid-column: span 12 !important;
    }
}

@media (max-width: 767px) {
    /* 1. GRAVITY FORMS */
    /* Grid */
    .gform_wrapper .gfield--width-half {
        grid-column: span 6 !important;
    }
}

@media (max-width: 499px) {
    /* 1. GRAVITY FORMS */
    /* Grid */
    .gform_wrapper .gfield--width-half {
        grid-column: span 12 !important;
    }
}

/* MOBILE */
@media (hover: none) and (pointer: coarse) {
    /* 1. GRAVITY FORMS */
    /* Footer */
    .gform_wrapper .gform_footer input:hover {
        border-color: inherit !important;
        background-color: inherit !important;
        color: inherit;
    }
}